<div class="card mb-3" *ngIf="ensembleUsers">
  <div class="card-heading">
    <h5>Funktionäre</h5>
  </div>
  <div class="card-body">
    <p class="card-text">Funktionäre sollen als Information für die Mitglieder eines Ensembles oder Vereins dienen. Sie sagen, wer eine Funktion hat
    und geben einen Überblick über die Struktur des Ensembles oder Vereins.</p>
    <eos-officials [target]="ensemble" [users]="ensembleUsers" mode="ensemble"></eos-officials>
  </div>
</div>
<div class="card mb-3" *ngIf="ensembleUsers && user.id == ensemble.owner.id">
  <div class="card-heading">
    <h5 class="text-warning">Inhaber ändern</h5>
  </div>
  <div class="card-body">
    <select class="custom-select" id="ownerInput" [(ngModel)]="newOwner" [compareWith]="compareFn">
      <option *ngFor="let user of ensembleUsers" [ngValue]="user.user">{{user.user.firstName}} {{user.user.lastName}}</option>
    </select>
    <p class="card-text mt-3">Der Inhaber kann danach nur vom neuen Inhaber geändert werden!</p>
    <button class="btn btn-warning" (click)="openConfirmModal(confirmModal)">
      <i class="fas fa-user-tie"></i>
      Inhaber ändern
    </button>
  </div>
</div>
<ng-template #confirmModal>
  <div class="modal-body">
    <h4>"{{ensemble.name}}" Besitzer ändern?</h4>
    <p>Bist du sicher, dass du den Besitzer ändern möchtest?</p>
    <p class="text-warning">Die Aktion kann nur vom neuen Besitzer Rückgängig gemacht werden</p>
    <label for="confirmInput">Zur Bestätigung den Namen <code>{{ensemble.name}}</code> eingeben</label>
    <input class="form-control" type="text" #confirm
           [(ngModel)]="confirmString"
           id="confirmInput" >
    <app-show-form-errors [control]="confirm"></app-show-form-errors>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-secondary"
            (click)="modalRef.hide()">
      <i class="fa fa-ban" aria-hidden="true"></i> abbrechen
    </button>
    <button type="button" class="btn btn-warning"
            [disabled]="confirmString != ensemble.name" (click)="changeOwner()">
      <i class="fa fa-trash" aria-hidden="true"></i> ändern
    </button>
  </div>
</ng-template>